Bug 1380601 - [RFE] [rhcs-2.y] RGW resharding tool
Summary: [RFE] [rhcs-2.y] RGW resharding tool
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW
Version: 1.3.3
Hardware: Unspecified
OS: Unspecified
urgent
medium
Target Milestone: rc
: 2.1
Assignee: Daniel Gryniewicz
QA Contact: shilpa
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-30 05:12 UTC by Vikhyat Umrao
Modified: 2017-07-30 15:48 UTC (History)
14 users (show)

Fixed In Version: RHEL: ceph-10.2.3-7.el7cp Ubuntu: ceph_10.2.3-8redhat1xenial
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1378995
Environment:
Last Closed: 2016-11-22 19:31:25 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2815 normal SHIPPED_LIVE Moderate: Red Hat Ceph Storage security, bug fix, and enhancement update 2017-03-22 02:06:33 UTC

Comment 2 Harish NV Rao 2016-10-06 09:08:34 UTC
@yehuda, can you please provide a write-up on how to use this tool? Also, please let me know if any specific test environment needs are there to test this.

Comment 7 shilpa 2016-10-21 09:55:39 UTC
Verified in 2.1

Comment 9 errata-xmlrpc 2016-11-22 19:31:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2815.html

Comment 10 shilpa 2016-11-27 06:52:15 UTC
The resharding command parameter should be --num-shards.

$ radosgw-admin bucket reshard --bucket=<bucket name>
--num-shards=<new shards number>


Note You need to log in before you can comment on or make changes to this bug.